Subject: bug#73186: closed (Re: bug#73186: prusa-slicer-2.7.4 build failure)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Sep 2024 16:18:03 +0000

Your bug report

#73186: prusa-slicer-2.7.4 build failure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73186: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73186
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73186: prusa-slicer-2.7.4 build failure
From: John Kehayias <[email-masked]>
To: bdju <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Sep 2024 16:17:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello bdju,

On Wed, Sep 11, 2024 at 03:07 PM, bdju wrote:

> ```
> building /gnu/store/wap6zpv71ab34q5f8dhfv7x0dwkdpckq-libigl-2.4.0.drv...
> / 'configure' phasebuilder for `/gnu/store/wap6zpv71ab34q5f8dhfv7x0dwkdpckq-libigl-2.4.0.drv' failed with exit code 1
> build of /gnu/store/wap6zpv71ab34q5f8dhfv7x0dwkdpckq-libigl-2.4.0.drv
> failed

So the failure is in a dependency, libigl, not prusa-slicer (it wasn't
built at all). And looking at Cuirass, we can see the build failure
first appeared after the commit updating embree
<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=31a55a652f8e4856fd66b47377e214b7d20b4f61>.

Just a note for some helpful bug reporting as otherwise it is easy to
get overlooked, though maybe you already knew to look there and that I
made that commit (I believe I commented on IRC about it when you brought
it up).

In any event, fixed with
<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=b2f5a9dd67352e035121c70cfdb34cd440c42e98>
after (painfully) building embree-3, libigl, and prusa-slicer locally.
Wow those all use up every bit of RAM, swap, and CPU!

> View build log at '/var/log/guix/drvs/wa/p6zpv71ab34q5f8dhfv7x0dwkdpckq-libigl-2.4.0.drv.gz'.
> cannot build derivation `/gnu/store/q6k03n5zjvl6dvv6dwpdfidkyyrmhhd7-prusa-slicer-2.7.4.drv': 1 dependencies couldn't be built
> guix package: error: build of `/gnu/store/q6k03n5zjvl6dvv6dwpdfidkyyrmhhd7-prusa-slicer-2.7.4.drv' failed
> guix package --upgrade . --do-not-upgrade={pfetch,rgbds}  1303.09s user 6.13s system 45% cpu 47:35.73 total
> ```
> build log attached
>
> guix (GNU Guix) b46256b162e15420bb034a9e6d65ec46f1c03343
> I am using Guix System

Thanks for the report!
John

Subject: prusa-slicer-2.7.4 build failure
From: "bdju" <[email-masked]>
To: <[email-masked]>
Date: Wed, 11 Sep 2024 15:07:09 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

```
building /gnu/store/wap6zpv71ab34q5f8dhfv7x0dwkdpckq-libigl-2.4.0.drv...
/ 'configure' phasebuilder for `/gnu/store/wap6zpv71ab34q5f8dhfv7x0dwkdpckq-libigl-2.4.0.drv' failed with exit code 1
build of /gnu/store/wap6zpv71ab34q5f8dhfv7x0dwkdpckq-libigl-2.4.0.drv failed
View build log at '/var/log/guix/drvs/wa/p6zpv71ab34q5f8dhfv7x0dwkdpckq-libigl-2.4.0.drv.gz'.
cannot build derivation `/gnu/store/q6k03n5zjvl6dvv6dwpdfidkyyrmhhd7-prusa-slicer-2.7.4.drv': 1 dependencies couldn't be built
guix package: error: build of `/gnu/store/q6k03n5zjvl6dvv6dwpdfidkyyrmhhd7-prusa-slicer-2.7.4.drv' failed
guix package --upgrade . --do-not-upgrade={pfetch,rgbds}  1303.09s user 6.13s system 45% cpu 47:35.73 total
```
build log attached

guix (GNU Guix) b46256b162e15420bb034a9e6d65ec46f1c03343
I am using Guix System